!

API recipes

Practical examples for using the Houski API.

Examples

Find apartments with cap rate over 10%

Programming language

Select the programming language you want to display the code examples in.

Find apartments with cap rate above 10%
Cap rate, cash-on-cash return, and ROI are computed for every property using list-price and rental-income models, factoring in maintenance fees and property taxes. Pull 10%+ cap rate condos for buy-and-hold investor sourcing.
Request
Shell session
curl -X GET "https://api.houski.ca/properties?api_key=YOUR_API_KEY&cap_rate_gt=0.10&city=calgary&country_abbreviation=ca&page=1&property_type_eq=Apartment&province_abbreviation=ab&results_per_page=5&select=address,estimate_list_price,estimate_rent_monthly,cap_rate,cash_on_cash_return,maintenance_fee,property_taxes,interior_sq_m,bedroom_total"
TypeScript code
const houski_recipe_data = async (): Promise<PropertiesResponse> => {

    // You must copy the PropertiesResponse type declarations from the 
    // Houski API documentation to strongly type the response

    const url = new URL('https://api.houski.ca/properties');
    url.searchParams.set('api_key', 'YOUR_API_KEY');
    url.searchParams.set('cap_rate_gt', '0.10');
    url.searchParams.set('city', 'calgary');
    url.searchParams.set('country_abbreviation', 'ca');
    url.searchParams.set('page', '1');
    url.searchParams.set('property_type_eq', 'Apartment');
    url.searchParams.set('province_abbreviation', 'ab');
    url.searchParams.set('results_per_page', '5');
    url.searchParams.set('select', 'address,estimate_list_price,estimate_rent_monthly,cap_rate,cash_on_cash_return,maintenance_fee,property_taxes,interior_sq_m,bedroom_total');

    const response = await fetch(url);
    const data = await response.json();

    return data;
}

(async () => {
let data: PropertiesResponse = await houski_recipe_data();

// Log the response
console.log(data);
})();
Response
JSON
{
  "cache_hit": true,
  "cost_cents": 4.100000381469727,
  "data": [
    {
      "address": "6105 302 Skyview Ranch Drive NE",
      "bedroom_total": 2,
      "cap_rate": 0.13515876233577728,
      "cash_on_cash_return": 0.33125701546669006,
      "estimate_list_price": 227744,
      "estimate_rent_monthly": 2147,
      "interior_sq_m": 76.17985534667969,
      "maintenance_fee": 427,
      "property_id": "1001e5d457b46526",
      "property_taxes": 1434
    },
    {
      "address": "2 2022 11 Avenue SW",
      "bedroom_total": 2,
      "cap_rate": 0.12743772566318512,
      "cash_on_cash_return": 0.300372838973999,
      "estimate_list_price": 202973,
      "estimate_rent_monthly": 1809,
      "interior_sq_m": 71.25603485107422,
      "maintenance_fee": 425,
      "property_id": "10027a59d3becf43",
      "property_taxes": 961
    },
    {
      "address": "609 315 3 Street SE",
      "bedroom_total": 2,
      "cap_rate": 0.11084391176700592,
      "cash_on_cash_return": 0.23399756848812103,
      "estimate_list_price": 300528,
      "estimate_rent_monthly": 2346,
      "interior_sq_m": 66.42511749267578,
      "maintenance_fee": 486,
      "property_id": "100553ae6728db0b",
      "property_taxes": 1633
    },
    {
      "address": "3101 10 Prestwick Bay SE",
      "bedroom_total": 2,
      "cap_rate": 0.10928381979465485,
      "cash_on_cash_return": 0.22775721549987793,
      "estimate_list_price": 283813,
      "estimate_rent_monthly": 2186,
      "interior_sq_m": 80.12820434570312,
      "maintenance_fee": 520,
      "property_id": "100717a322c86cb6",
      "property_taxes": 1829
    },
    {
      "address": "2116 215 Legacy Boulevard SE",
      "bedroom_total": 2,
      "cap_rate": 0.13849224150180817,
      "cash_on_cash_return": 0.3445909321308136,
      "estimate_list_price": 255765,
      "estimate_rent_monthly": 2468,
      "interior_sq_m": 65.49610137939453,
      "maintenance_fee": 364,
      "property_id": "10079a165b5b2512",
      "property_taxes": 1622
    }
  ],
  "error": "",
  "pagination": {
    "current_page": 1,
    "has_next_page": true,
    "has_previous_page": false,
    "page_total": 7235
  },
  "price_quote": false,
  "result_total": 36174,
  "time_ms": 67,
  "ui_info": {
    "city": "Calgary",
    "city_id": "6ec95b53075d062c",
    "city_link": "ca/ab/calgary",
    "city_slug": "calgary",
    "country": "Canada",
    "country_abbreviation": "CA",
    "country_abbreviation_id": "9ace2b6431b7f1be",
    "country_abbreviation_link": "ca",
    "country_slug": "canada",
    "province": "Alberta",
    "province_abbreviation": "AB",
    "province_abbreviation_id": "aae1f05a0f89d2c7",
    "province_abbreviation_link": "ca/ab",
    "province_slug": "alberta"
  }
}